FieldInitializationReport
Date: 2015-09-18

org.mockito.internal.util.reflection

## Class FieldInitializationReport

- java.lang.Object
- - org.mockito.internal.util.reflection.FieldInitializationReport

-     public class FieldInitializationReport
      extends java.lang.Object

  Report on field initialization

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldInitializationReport(java.lang.Object fieldInstance, boolean wasInitialized, boolean wasInitializedUsingConstructorArgs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `fieldClass()` Returns the class of the actual instance in the field.
    `java.lang.Object` | `fieldInstance()` Returns the actual field instance.
    `boolean` | `fieldWasInitialized()` Indicate wether the field was created during the process or not.
    `boolean` | `fieldWasInitializedUsingContructorArgs()` Indicate wether the field was created using constructor args.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldInitializationReport

          public FieldInitializationReport(java.lang.Object fieldInstance,
                                   boolean wasInitialized,
                                   boolean wasInitializedUsingConstructorArgs)

  - ### Method Detail

    - #### fieldInstance

          public java.lang.Object fieldInstance()

      Returns the actual field instance.
      Returns:
        the actual instance

    - #### fieldWasInitialized

          public boolean fieldWasInitialized()

      Indicate wether the field was created during the process or not.
      Returns:
        `true` if created, `false` if the field did already hold an instance.

    - #### fieldWasInitializedUsingContructorArgs

          public boolean fieldWasInitializedUsingContructorArgs()

      Indicate wether the field was created using constructor args.
      Returns:
        `true` if field was created using constructor parameters.

    - #### fieldClass

          public java.lang.Class<?> fieldClass()

      Returns the class of the actual instance in the field.
      Returns:
        Class of the instance